| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
wxSplitterRenderParams Struct Reference
Graphics Device Interface (GDI)

`#include <wx/renderer.h>`

## Detailed Description

This is just a simple `struct` used as a return value of wxRendererNative::GetSplitterParams().

It doesn't have any methods and all of its fields are constant, so they can only be examined but not modified.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

## Public Member Functions
| wxSplitterRenderParams (wxCoord widthSash_, wxCoord border_, bool isSens_)
| The only way to initialize this struct is by using this ctor.

## Public Attributes
const wxCoord | border
| The width of the border drawn by the splitter inside it, may be 0.
const bool | isHotSensitive
| true if the sash changes appearance when the mouse passes over it, false otherwise.
const wxCoord | widthSash
| The width of the splitter sash.

## Constructor & Destructor Documentation

wxSplitterRenderParams::wxSplitterRenderParams | ( | wxCoord | widthSash_,
|  | wxCoord | border_,
|  | bool | isSens_
| ) |  |

The only way to initialize this struct is by using this ctor.

## Member Data Documentation

const wxCoord wxSplitterRenderParams::border

The width of the border drawn by the splitter inside it, may be 0.

const bool wxSplitterRenderParams::isHotSensitive

true if the sash changes appearance when the mouse passes over it, false otherwise.

const wxCoord wxSplitterRenderParams::widthSash

The width of the splitter sash.